<p-dataTable
[value]="vehicleSalesOrders"
[editable]="true"
[rows]="itemsPerPage"
[paginator]="true"
[pageLinks]="5"
[rowsPerPageOptions]="[10,15,20]"
[totalRecords]="totalItems"
[responsive]="true"
[lazy]="true"
dataKey="idOrder"
expandableRows="false"
(onLazyLoad)="loadDataLazy($event)"
(onEditComplete)="updateRowData($event)"
class="width-filter">
<p-header>
<jhi-alert></jhi-alert>
    <!--    <div class="col-md-1 offset-md-11">
        <button pButton type="button"
            icon="fa-plus"
            class="ui-button-primary btn-sm"
            [routerLink]="['../vehicle-sales-order-new']" style="margin-top:0">
        </button>
    </div>
    <div>
        <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                    name="currentSearch" placeholder="{{ 'mpmApp.vehicleSalesOrder.home.search' | translate }}">
                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                    <span class="fa fa-trash-o"></span>
                </button>
            </div>
        </form>
    </div> -->
    <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
            <button pButton type="button"                     
                label="Reload"
                class="ui-button-Primary flat-label-button btn-block"
                (click)="loadAll()"
            ></button>
        </div>
    </form>
</p-header>

<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
<!-- <p-column header="{{'mpmApp.vehicleSalesOrder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}"  frozen="true">
    <ng-template let-rowIndex="rowIndex" pTemplate="body">
        {{rowIndex + 1}}
    </ng-template>
</p-column> -->

<!--<p-column header="{{'mpmApp.vehicleSalesOrder.internal'|translate}}">-->
    <!--<ng-template let-rowData="rowData" pTemplate="body">-->
        <!--<div *ngIf="rowData.internalId">-->
            <!--<a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalIdInternal}}</a>-->
        <!--</div>-->
    <!--</ng-template>-->
<!--</p-column>-->

<p-column header="No VSO" >
    <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                </div>
                <ng-template #templateOrderNumber>
                    {{rowData.orderNumber}}
                </ng-template>
                <ng-template #templateRequirementNumber>
                    {{rowData.salesUnitRequirement.requirementNumber}}
                </ng-template>
    </ng-template>
</p-column>

<!-- <p-column header="ID" >
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.idOrder">
            {{rowData.idOrder}}
        </div>
    </ng-template>
</p-column> -->

<p-column header="{{'mpmApp.vehicleSalesOrder.tglVso'|translate}}"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.dateOrder">
            {{rowData.dateOrder|date:'dd-MMM-yyyy'}}
        </div>
    </ng-template>
</p-column>

<p-column header="{{'mpmApp.vehicleSalesOrder.customer'|translate}} " >
    <ng-template let-rowData="rowData" pTemplate="body">
            <!-- {{rowData.customer.partyName}} -->
        {{rowData.salesUnitRequirement.personOwner.firstName}} - {{rowData.salesUnitRequirement.personOwner.lastName}}
        <!-- <div *ngIf="rowData.customer.partyName">
            {{rowData.dateOrder}}
        </div> -->
        <!-- <div *ngIf="rowData.customerId">
            <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
        </div> -->
    </ng-template>
</p-column>

<!-- <p-column header="{{'mpmApp.vehicleSalesOrder.customer2'|translate}}"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        {{rowData.salesUnitRequirement.personOwner.lastName}}
    </ng-template>
</p-column> -->

<!-- <p-column header="{{'mpmApp.vehicleSalesOrder.statusUnit'|translate}}"  >
    <ng-template let-rowData="rowData" pTemplate="body">
    </ng-template>
</p-column> -->

<!-- <p-column header="{{'mpmApp.vehicleSalesOrder.leasing'|translate}}"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        {{rowData.leasingName}}
    </ng-template>
</p-column> -->

<p-column header="{{'mpmApp.vehicleSalesOrder.sales'|translate}}"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        {{rowData.salesUnitRequirement.salesmanName}}
        <!-- <div *ngIf="rowData.customerId">
            {{rowData.customerName}}
        </div> -->
    </ng-template>
</p-column>

<!-- <p-column header="{{'mpmApp.vehicleSalesOrder.korsales'|translate}}"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{'mpmApp.vehicleSalesOrder.korsales'|translate}}
        </div>
    </ng-template>
</p-column> -->

<p-column header="Status"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
           <!-- {{rowData.salesUnitRequirement.currentStatus}} -->
           {{getDescription(rowData.currentStatus)}}
        </div>
    </ng-template>
</p-column>
<!-- 
<p-column header="{{'mpmApp.vehicleSalesOrder.statusAdSls'|translate}}">
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{rowData.customerName}}
        </div>
    </ng-template>
</p-column>

<p-column header="{{'mpmApp.vehicleSalesOrder.afs'|translate}}">
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{rowData.customerName}}
        </div>
    </ng-template>
</p-column>

<p-column header="{{'mpmApp.vehicleSalesOrder.statusKacab'|translate}}">
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{rowData.customerName}}
        </div>
    </ng-template>
</p-column>

<p-column header="{{'mpmApp.vehicleSalesOrder.statusVSO'|translate}}">
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{rowData.customerName}}
        </div>
    </ng-template>
</p-column>

<p-column header="{{'mpmApp.vehicleSalesOrder.reqNoka'|translate}}">
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{rowData.customerName}}
        </div>
    </ng-template>
</p-column> -->

<!-- REMARK -->
<!--<p-column header="{{'mpmApp.vehicleSalesOrder.internal'|translate}}">-->
    <!--<ng-template let-rowData="rowData" pTemplate="body">-->
        <!--<div *ngIf="rowData.internalId">-->
            <!--<a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalIdInternal}}</a>-->
        <!--</div>-->
    <!--</ng-template>-->
<!--</p-column>-->

<!--<p-column header="{{'mpmApp.vehicleSalesOrder.billTo'|translate}}">-->
    <!--<ng-template let-rowData="rowData" pTemplate="body">-->
        <!--<div *ngIf="rowData.billToId">-->
            <!--<a [routerLink]="['../bill-to', rowData.billToId  ]" >{{rowData.billToId}}</a>-->
        <!--</div>-->
    <!--</ng-template>-->
<!--</p-column>-->
<!-- REMARK -->
<p-column header="{{'mpmApp.vehicleSalesOrder.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}"  >
    <ng-template let-rowData="rowData" pTemplate="body">

        <div *ngIf="rowData.currentStatus==74">
            <button pButton type="submit"
                (click)="cancelApprovekacab(rowData)"
                icon="fa-close"
                class="flat-button">
            </button>
            <button pButton type="submit"
                    (click)="generateVsb(rowData.idOrder)"
                    icon="fa-share"
                    class="flat-button">
            </button>
        </div>
    </ng-template>
</p-column>

<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
</ng-template>

</p-dataTable>